Skip to main content
GET
/
api
/
v1
/
exposure
/
dns
DNS records
curl --request GET \
  --url https://api.defendis.ai/api/v1/exposure/dns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 100,
      "hostname": "app.example.com",
      "record_type": "A",
      "record_value": "203.0.113.10"
    }
  ],
  "paging": {
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1,
    "pageSize": 20,
    "hasMore": false,
    "nextPage": null
  }
}

Authorizations

Authorization
string
header
required

Required for all /api/v1 endpoints. Use Authorization: Bearer <api_key>

Query Parameters

domainId
integer
required
watchlistId
string
scanRunId
string
recordType
string
hostname
string

Response

200 - application/json

DNS records response

The response is of type object.